ubuntu-bug crashes when filing bug for usb storage when udisks2 is not installed.

Bug #1789516 reported by b on 2018-08-28
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
apport-symptoms (Ubuntu)
Medium
Brian Murray

Bug Description

If udisks2 is not installed, the following actions cause ubuntu-bug to crash:

1. Run ubuntu-bug
2
. Click on "External or internal storage devices" -> OK
3. Click on "Removable storage device is not mounted automatically" -> OK
4. Click Close
5. Connect offending device
6. Click Close

Result:
ERROR: symptom script /usr/share/apport/symptoms/storage.py crashed:
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/apport/ui.py", line 108, in thread_collect_info
    package = symb['run'](report, ui)
  File "/usr/share/apport/symptoms/storage.py", line 29, in run
    return problem_removable(report, ui)
  File "/usr/share/apport/symptoms/storage.py", line 52, in problem_removable
    universal_newlines=True)
  File "/usr/lib/python3.6/subprocess.py", line 709, in __init__
    restore_signals, start_new_session)
  File "/usr/lib/python3.6/subprocess.py", line 1344, in _execute_child
    raise child_exception_type(errno_num, err_msg, err_filename)
FileNotFoundError: [Errno 2] No such file or directory: 'udisksctl': 'udisksctl'

Installing udisks2 solves the issue.

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: apport 2.20.9-0ubuntu7.2
ProcVersionSignature: Ubuntu 4.15.0-32.35-generic 4.15.18
Uname: Linux 4.15.0-32-generic x86_64
ApportLog:

ApportVersion: 2.20.9-0ubuntu7.2
Architecture: amd64
CrashReports:
 640:1000:134:5505230:2018-08-20 12:15:41.972497262 -0700:2018-08-20 12:15:29.675580645 -0700:/var/crash/_usr_bin_lyx.1000.crash
 600:0:134:1189445:2018-08-20 17:04:50.652675440 -0700:2018-08-20 17:04:49.540680686 -0700:/var/crash/indicator-applet-session.0.crash
 600:0:134:1058633:2018-08-20 13:12:02.353175760 -0700:2018-08-20 13:12:01.353169322 -0700:/var/crash/texlive-fonts-extra-doc.0.crash
 640:0:134:2053111:2018-08-20 13:54:02.571655686 -0700:2018-08-20 13:53:55.195695778 -0700:/var/crash/_usr_sbin_synaptic.0.crash
CurrentDesktop: XFCE
Date: Tue Aug 28 16:37:24 2018
InstallationDate: Installed on 2010-11-05 (2853 days ago)
InstallationMedia: Ubuntu 10.04.1 LTS "Lucid Lynx" - Release amd64 (20100816.1)
PackageArchitecture: all
SourcePackage: apport
UpgradeStatus: Upgraded to bionic on 2018-08-16 (12 days ago)

b (ben-ekran) wrote :
affects: apport (Ubuntu) → apport-symptoms (Ubuntu)
Changed in apport-symptoms (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
tags: added: cosmic
tags: added: rls-cc-incoming
Changed in apport-symptoms (Ubuntu):
status: Triaged → In Progress
assignee: nobody → Brian Murray (brian-murray)
tags: removed: rls-cc-incoming
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apport-symptoms - 0.22

---------------
apport-symptoms (0.22) eoan; urgency=medium

  * symptoms/storage.py: don't crash if udisks2 package is not available.
    (LP: #1789516)

 -- Brian Murray <email address hidden> Fri, 17 May 2019 14:32:49 -0700

Changed in apport-symptoms (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers